lorom

;instrument sample index of permanently loaded samples
;SFX can also use area song loaded samples

;00: 6E00 > 73C4		5C4 < sound for beginning a shot,
;01: 73C4 > 7988		5C4 < also sound for a shot, first part of grapple sound
;02: 7988 > 79AC		318 < Second part of grapple sound, part of doors
;03: 7CA0 > 7DF6		156 < Item selecting, Samus landing
;04: 7DF6 > 82F4		4FE < Last part of beam firing for non-ice
;05: 82F4 > 8318		3DE < Is used in powerbombs
;06: 86D2 > 86ED		1EF < Xray/elevator
;07: 88C1 > 88DC		30F < spinjump/spacejump noise
;08: 8BD0 > 91CA		5FA < Bombs
;09: 91CA > 91E5		120 < Samus's footsteps, can kinda be changed to something else without being too noticable
;0A: 92EA > 964A		D65 < item theme string
;0B: 92EA > 964A		D65 < item theme string again
;0C: A04F > A06A		 5A < Simple tone, used for "beeping notes" in elevator music
;0D: A0A9 > A15D		 B4 < No clue, sounds like little insect claws closing
;0E: A15D > A2E9		18C < Underwater breathing noise
;0F: A2E9 > A6BE		3D9 < entering/exiting water
;10: A6BE > A6E2		2B5 < Final part of ice beam noise
;11: A973 > A98E		 3F < Static
;12: A973 > A98E		 3F < ^
;13: A9B2 > ACB8		306 < Samus hurt noise
;14: ACB8 > AF5B		2A3 < Common enemy hurt noise
;15: AF5B > AF7F		2B5 < Health pickup noise
;16: B210 > B516		306 < no clue, but sounds like it could be an alternate enemy sound



; Sound "piece" format:
; II VV Pa Pi TT

; PP - Pointer to pieces (SPC RAM address format), put more pointers in a row to play more pieces


; setup of a "piece", as I call it:
; II - Instrument sample index (defined in sample table)
; VV - Volume		;00 is silent, FF is max
; Pa - Panning		;00-14, 0A is center
; Pi - Pitch		;80 (low C) - C7 (high B)
; TT - Timer		;frames until the sample is cut off

;additionally, there's a two extra commands that can be used. A pitch slide (F5, arg1, arg2), and a loop
;pitch slide, F5 xx yy, changes pitch of next played 'piece' to yy at a speed determined by xx. higher xx = faster pitch slide
;loop, use FE 00 to start a loop point, then FB to jump back to the loop point

;Library 1:
{
;orig pointer	ROM loc, bank CF
; 71 2B 	96F5	01|Power Bomb
; AF 2B 	96F7	02|Clears sounds from library? Plays health pickup sound but no volume
; B7 2B 	96F9	03|Fire Missile
; C4 2B 	96FB	04|Fire Super Missile
; D1 2B 	96FD	05|Fire Grapple
; FC 2B 	96FF	06|Grappling on a block
; 2F 2C 	9701	07|Short grapple sound, unsure when used
; 37 2C 	9703	08|Charge Beam
; FF 2C 	9705	09|X-Ray
; 12 2D 	9707	0A|Clear sounds from library?
; 1A 2D 	9709	0B|Power
; 27 2D 	970B	0C|Ice
; 4B 2D 	970D	0D|Wave
; 5D 2D 	970F	0E|Wave/Ice
; 5F 2D 	9711	0F|Spazer
; 76 2D 	9713	10|Spazer/Ice
; 95 2D 	9715	11|Spazer/Ice/Wave
; 97 2D 	9717	12|Spazer/Wave
; 99 2D 	9719	13|Plasma
; A6 2D 	971B	14|Plasma/Ice
; A8 2D 	971D	15|Plasma/Wave/Ice
; AA 2D 	971F	16|Plasma/Wave
; AC 2D 	9721	17|Charged
; C8 2D 	9723	18|Charged Ice
; E7 2D 	9725	19|Charged Wave
; FE 2D 	9727	1A|Charged Wave/Ice
; 00 2E 	9729	1B|Charged Spazer
; 17 2E 	972B	1C|Charged Spazer/Ice
; 19 2E 	972D	1D|Charged Spazer/Wave/Ice
; 1B 2E 	972F	1E|Charged Spazer/Wave
; 1D 2E 	9731	1F|Charged Plasma
; 34 2E 	9733	20|Charged Plasma/Ice
; 36 2E 	9735	21|Charged Plasma/Wave/Ice
; 38 2E 	9737	22|Charged Plasma/Wave
; 3A 2E 	9739	23|Ice SBA
; 68 2E 	973B	24|Ice SBA fires off
; AF 2E 	973D	25|Spazer SBA
; D0 2E 	973F	26|Spazer SBA fires off
; F6 2E 	9741	27|Plasma SBA
; 2C 2F 	9743	28|Wave SBA
; 37 2F 	9745	29|Nothing?
; 3F 2F 	9747	2A|Wallump/Helmet noise in the start menu
; 47 2F 	9749	2B|Nothing?
; 4A 2F 	974B	2C|Nothing?
; 4D 2F 	974D	2D|Nothing?
; 50 2F 	974F	2E|Saving
; B0 2F 	9751	2F|Spinjump
; B8 2F 	9753	30|Resuming normal spinjump
; C3 2F 	9755	31|Starting normal spinjump
; DD 2F 	9757	32|Stop spinjump
; E5 2F 	9759	33|Screw Attack
; 40 30 	975B	34|Stop screw-attack
; 48 30 	975D	35|Samus hurt
; 55 30 	975F	36|Map click when scroling
; 5D 30 	9761	37|Selecting item, HUD and pause menu
; 65 30 	9763	38|Sound for changing map/equipment screen, equipping items
; 70 30 	9765	39|^ but quieter
; 78 30 	9767	3A|Nothing?
; 7B 30 	9769	3B|Going from world map to area map
; 8B 30 	976B	3C|Going from area map to world map
; 9B 30 	976D	3D|Crumble block
; A8 30 	976F	3E|Space Jump
; D6 30 	9771	3F|Starting normal spinjumping
; E1 30 	9773	40|Mother Brain laser attack?
; 2A 31 	9775	41|Resuming charged beam
; 3F 31 	9777	42|Boss death throes
}
org $CF96F5			;offset for Library 1, with the offset table followed by the sound table data

base $002AED		;needed to convert into SPC RAM offset



	DW L1_P01, L1_P02, L1_P03, L1_P04, L1_P05, L1_P06, L1_P07, L1_P08, L1_P09, L1_P0A, L1_P0B, L1_P0C, L1_P0D, L1_P0E, L1_P0F
DW L1_P10, L1_P11, L1_P12, L1_P13, L1_P14, L1_P15, L1_P16, L1_P17, L1_P18, L1_P19, L1_P1A, L1_P1B, L1_P1C, L1_P1D, L1_P1E, L1_P1F
DW L1_P20, L1_P21, L1_P22, L1_P23, L1_P24, L1_P25, L1_P26, L1_P27, L1_P28, L1_P29, L1_P2A, L1_P2B, L1_P2C, L1_P2D, L1_P2E, L1_P2F
DW L1_P30, L1_P31, L1_P32, L1_P33, L1_P34, L1_P35, L1_P36, L1_P37, L1_P38, L1_P39, L1_P3A, L1_P3B, L1_P3C, L1_P3D, L1_P3E, L1_P3F
DW L1_P40, L1_P41, L1_P42

L1_P01:			;2B71
DW L1_S01_P1		;power bomb part 1
DW L1_S01_P2		;The pointer above points to another table, which points to sound data... yeah, I think that makes multiple samples either play
DW L1_S01_P3		;at the same time or in the given order, not sure.
DW L1_S01_P4

L1_S01_P1:
	DB $F5, $B0, $C7
	DB $05, $D0, $0A, $98, $46
	DB $FF

L1_S01_P2:
	DB $F5, $A0, $C7
	DB $09, $D0, $0F, $80, $50 
	DB $F5, $50, $80
	DB $09, $D0, $0A, $AB, $46
	DB $FF

L1_S01_P3:
	DB $09, $D0, $0F, $87, $10
	DB $F5, $B0, $C7
	DB $05, $D0, $0F, $80, $60
	DB $FF


L1_S01_P4:
	DB $09, $D0, $05, $82, $30
	DB $F5, $A0, $80
	DB $05, $D0, $05, $C7, $60
	DB $FF


L1_P02:			;2BAF	used to clear sound from library?
	DW L1_P02+2
	DB $15, $00, $0A, $BC, $03
	DB $FF

L1_P03:			;2BB7	firing missile

	DW L1_P03+2
	DB $00, $D8, $0A, $95, $08
	DB $01, $D8, $0A, $8B, $30
	DB $FF


L1_P04:			;2BC4	firing super missile

	DW L1_P04+2
	DB $00, $D0, $0A, $95, $08
	DB $01, $D0, $0A, $90, $30
	DB $FF 

L1_P05:			;2BD1	firing grapple

	DW L1_P05+2
	DB $01, $80, $0A, $9D, $10
	DB $02, $50, $0A, $93, $07
	DB $02, $50, $0A, $93, $03 
	DB $02, $50, $0A, $93, $05 
	DB $02, $50, $0A, $93, $08
	DB $02, $50, $0A, $93, $04
	DB $02, $50, $0A, $93, $06
	DB $02, $50, $0A, $93, $04
	DB $FF 

L1_P06:			;2BFC	grappled on something
	DW L1_P06+2
	DB $0D, $50, $0A, $80, $03
	DB $0D, $50, $0A, $85, $04
	DB $FE, $00
	DB $02, $50, $0A, $93, $07
	DB $02, $50, $0A, $93, $03
	DB $02, $50, $0A, $93, $05
	DB $02, $50, $0A, $93, $08
	DB $02, $50, $0A, $93, $04
	DB $02, $50, $0A, $93, $06
	DB $02, $50, $0A, $93, $04
	DB $FB
	DB $FF

L1_P07: 		;2C2F	short grapple sound?
	DW L1_P07+2
	DB $02, $50, $0A, $93, $05
	DB $FF



L1_P08: 		;2C37	holding a charged beam
DW L1_S08_P1
DW L1_S08_P2

L1_S08_P1:
	DB $05, $00, $0A, $B4, $15
	DB $F5, $30, $C7
	DB $05, $50, $0A, $B7, $25
	DB $FE, $00
	DB $07, $60, $0A, $C7, $30
	DB $FB
	DB $FF
L1_S08_P2:		;2C51
	DB $02, $00, $0A, $9C, $07
	DB $02, $10, $0A, $9C, $03
	DB $02, $00, $0A, $9C, $05
	DB $02, $20, $0A, $9C, $08
S41_Entry_Point:	;2C65		sound 41 has a pointer to here
	DB $02, $20, $0A, $9C, $04
	DB $02, $30, $0A, $9C, $06
	DB $02, $00, $0A, $9C, $04 
	DB $02, $30, $0A, $9C, $03
	DB $02, $30, $0A, $9C, $07
	DB $02, $00, $0A, $9C, $0A
	DB $02, $30, $0A, $9C, $03
	DB $02, $00, $0A, $9C, $04
	DB $02, $40, $0A, $9C, $03
	DB $02, $40, $0A, $9C, $07
	DB $02, $00, $0A, $9C, $05
	DB $02, $40, $0A, $9C, $06
	DB $02, $40, $0A, $9C, $03
	DB $02, $00, $0A, $9C, $0A
	DB $02, $50, $0A, $9C, $03
	DB $02, $50, $0A, $9C, $03
	DB $02, $60, $0A, $9C, $05
	DB $02, $00, $0A, $9C, $06
	DB $02, $60, $0A, $9C, $07
	DB $02, $00, $0A, $9C, $03
	DB $02, $60, $0A, $9C, $04
	DB $02, $60, $0A, $9C, $03
	DB $02, $00, $0A, $9C, $03
	DB $FE, $00
	DB $02, $40, $0A, $9C, $05
	DB $02, $40, $0A, $9C, $06
	DB $02, $40, $0A, $9C, $07
	DB $02, $40, $0A, $9C, $03
	DB $02, $40, $0A, $9C, $04
	DB $02, $40, $0A, $9C, $03
	DB $02, $40, $0A, $9C, $03
	DB $FB
	DB $FF

L1_P09: 		;2CFF	x-ray use
	DW L1_P09+2
	DB $F5, $70, $AD
	DB $06, $40, $0A, $A4, $40
	DB $FE, $00
	DB $06, $40, $0A, $AD, $F0
	DB $FB
	DB $FF



L1_P0A: 		;2D12	another sound nullifier
			;probably useless to have more than one
			;means I can cannibalize for something else :D
	DW L1_P0A+2
	DB $06, $00, $0A, $AD, $03
	DB $FF

L1_P0B: 		;2D1A	fire normal beam
	DW L1_P0B+2
	DB $04, $90, $0A, $89, $03
	DB $04, $90, $0A, $84, $0E
	DB $FF


L1_P0C: 		;2D27	fire ice
	DW L1_P0C+2
	DB $04, $B0, $0A, $8B, $03
	DB $04, $B0, $0A, $89, $07
	DB $F5, $90, $C7
	DB $10, $90, $0A, $BC, $0A
	DB $10, $60, $0A, $C3, $06
	DB $10, $30, $0A, $C7, $03
	DB $10, $20, $0A, $C7, $03
	DB $FF

L1_P0D: 		;2D4B	fire wave
	DW L1_P0D+2
	DB $04, $90, $0A, $89, $03
	DB $04, $70, $0A, $84, $0B
	DB $04, $30, $0A, $84, $08
	DB $FF


L1_P0E: 		;2D5D	fire wave+ice
	DW L1_P0C+2 	;just points to ice definition
			;why didn't you just set wave/ice to trigger 0C?
L1_P0F:			;2D5F	spazer
	DW L1_P0F+2
	DB $00, $D0, $0A, $98, $0C
	DB $04, $C0, $0A, $80, $10
	DB $04, $30, $0A, $80, $08
	DB $04, $10, $0A, $80, $06
	DB $FF


L1_P10: 		;2D76	spazer+ice
	DW L1_P10+2
	DB $00, $D0, $0A, $98, $0C
	DB $F5, $90, $C7
	DB $10, $90, $0A, $BC, $0A
	DB $10, $60, $0A, $C3, $06
	DB $10, $30, $0A, $C7, $03
	DB $10, $20, $0A, $C7, $03
	DB $FF

L1_P11: 		;2D95	spazer+ice+wave
	DW L1_P10+2	;points spazer+ice

L1_P12: 		;2D97	spazer+wave
	DW L1_P0F+2	;points spazer

L1_P13: 		;2D99	plasma
	DW L1_P13+2
	DB $00, $D0, $0A, $98, $0C
	DB $04, $B0, $0A, $80, $13
	DB $FF


L1_P14: 		;2DA6	plasma+ice
	DW L1_P10+2	;points spazer+ice

L1_P15: 		;2DA8	plasma+ice+wave
	DW L1_P10+2	;points spazer+ice

L1_P16: 		;2DAA	plasma+wave
	DW L1_P13+2	;points plasma

L1_P17: 		;2DAC	fire charged power beam
	DW L1_P17+2
	DB $04, $D0, $0A, $84, $05
	DB $04, $D0, $0A, $80, $0C
	DB $02, $80, $0A, $98, $03
	DB $02, $60, $0A, $98, $03
	DB $02, $50, $0A, $98, $03
	DB $FF


L1_P18: 		;2DC8	fire charged ice
	DW L1_P18+2
	DB $00, $E0, $0A, $98, $0C
	DB $F5, $B0, $C7
	DB $10, $E0, $0A, $BC, $0A
	DB $10, $70, $0A, $C3, $06
	DB $10, $30, $0A, $C7, $03
	DB $10, $20, $0A, $C7, $03
	DB $FF
	


L1_P19: 		;2DE7	fire charged wave
	DW L1_P19+2
	DB $04, $E0, $0A, $84, $03
	DB $04, $E0, $0A, $80, $10
	DB $04, $50, $0A, $80, $04
	DB $04, $30, $0A, $80, $09
	DB $FF


L1_P1A: 		;2DFE	fire charged wave+ice
	DW L1_P18+2	;points to charged ice

L1_P1B: 		;2E00	fire charged spazer
	DW L1_P1B+2
	DB $00, $D0, $0A, $95, $08
	DB $04, $D0, $0A, $80, $0F
	DB $04, $80, $0A, $80, $0D
	DB $04, $20, $0A, $80, $0A
	DB $FF



L1_P1C: 		;2E17	charged spazer+ice
	DW L1_P18+2	;points to charged ice

L1_P1D: 		;2E19	charged spazer+ice+wave
	DW L1_P18+2	;points to charged ice

L1_P1E: 		;2E1B
	DW L1_P1B+2	;points to charged spazer

L1_P1F: 		;2E1D	charged plasma
	DW L1_P1F+2
	DB $00, $D0, $0A, $98, $0E
	DB $04, $D0, $0A, $80, $10
	DB $04, $70, $0A, $80, $10
	DB $04, $30, $0A, $80, $10
	DB $FF


L1_P20: 		;2E34	charged plasma+ice
	DW L1_P18+2	;point to charged ice

L1_P21: 		;2E36	charged plasma+ice+wave
	DW L1_P18+2	;point to charged ice

L1_P22: 		;2E38	charged plasma+wave
	DW L1_P1F+2	;point to charged plasma

L1_P23: 		;2E3A	Ice beam SBA active
	DW L1_P23+2
	DB $FE, $00
	DB $10, $50, $0A, $C0, $03
	DB $10, $50, $0A, $C1, $03
	DB $10, $60, $0A, $C3, $03
	DB $10, $60, $0A, $C5, $03
	DB $10, $70, $0A, $C7, $03
	DB $10, $60, $0A, $C5, $03
	DB $10, $50, $0A, $C3, $03
	DB $10, $50, $0A, $C1, $03
	DB $FB
	DB $FF


L1_P24: 		;2E68	Ice beam SBA pieces fly away
	DW L1_P24_P1
	DW L1_P24_P2
L1_P24_P1:
	DB $10, $D0, $0A, $BC, $0A
	DB $10, $70, $0A, $C3, $06
	DB $10, $30, $0A, $C7, $03
	DB $10, $20, $0A, $C7, $03
	DB $10, $50, $0A, $C3, $06
	DB $10, $40, $0A, $C7, $03
	DB $10, $40, $0A, $C7, $03
	DB $10, $30, $0A, $C3, $06
	DB $10, $20, $0A, $C7, $03
	DB $10, $20, $0A, $C7, $03
	DB $FF
L1_P24_P2:
	DB $04, $D0, $0A, $80, $10
	DB $04, $70, $0A, $80, $10
	DB $04, $30, $0A, $80, $10
	DB $FF


L1_P25: 		;2EAF	Spazer SBA start
	DW L1_P25+2
	DB $04, $D0, $0A, $80, $10
	DB $04, $70, $0A, $80, $10
	DB $04, $30, $0A, $80, $02
	DB $04, $D0, $0A, $80, $10
	DB $04, $70, $0A, $80, $10
	DB $04, $30, $0A, $80, $10
	DB $FF
	

L1_P26: 		;2ED0	Spazer SBA finish
	DW L1_P26+2
	DB $04, $D0, $0A, $80, $10
	DB $04, $70, $0A, $80, $04
	DB $04, $30, $0A, $80, $02
	DB $04, $30, $0A, $80, $06
	DB $04, $30, $0A, $80, $06
	DB $04, $70, $0A, $80, $07
	DB $04, $70, $0A, $80, $07
	DB $FF


L1_P27: 		;2EF6	Plasma SBA
	DW L1_P27_P1
	DW L1_P27_P2

L1_P27_P1:
	DB $F5, $30, $C7
	DB $07, $90, $0A, $B7, $25
	DB $F5, $30, $B7
	DB $07, $90, $0A, $F6, $25
	DB $F5, $B0, $C7
	DB $07, $90, $0A, $F6, $25
	DB $FF
L1_P27_P2:
	DB $F5, $30, $C7
	DB $05, $90, $0A, $B7, $27
	DB $F5, $30, $B7
	DB $05, $90, $0A, $F6, $27
	DB $F5, $B0, $C7
	DB $05, $90, $0A, $F6, $27
	DB $FF



L1_P28: 		;2F2C	Wave SBA
	DW L1_P28+2
	DB $F5, $30, $C7
	DB $05, $50, $0A, $B7, $25
	DB $FF


L1_P29: 		;2F37	moar useless null
	DW L1_P29+2
	DB $05, $00, $0A, $B7, $03
	DB $FF


L1_P2A: 		;2F3F	Noise when selecting file in start menu (Samus head moves)
	DW L1_P2A+2
	DB $07, $90, $0A, $C5, $12
	DB $FF


L1_P2B: 		;2F47	even moar useless null
	DW L1_P2B+2
	DB $FF


L1_P2C: 		;2F4A	even moar even moar useless null
	DW L1_P2C+2
	DB $FF


L1_P2D: 		;2F4D	clearly the meaning of life
	DW L1_P2D+2
	DB $FF


L1_P2E: 		;2F50	saving at station or ship
	DW L1_P2E_P1
	DW L1_P2E_P2
	DW L1_P2E_P3
	DW L1_P2E_P4
L1_P2E_P1:
	DB $F5, $F0, $B1
	DB $06, $45, $0A, $99, $19
	DB $06, $45, $0A, $B1, $80
	DB $F5, $F0, $99
	DB $06, $45, $0A, $B1, $19
	DB $FF
	
L1_P2E_P2:
	DB $F5, $F0, $A7
	DB $06, $45, $0A, $8F, $19
	DB $06, $45, $0A, $A7, $80
	DB $F5, $F0, $8F
	DB $06, $45, $0A, $A7, $19
	DB $FF

L1_P2E_P3:
	DB $F5, $F0, $A0
	DB $06, $45, $0A, $88, $19
	DB $06, $45, $0A, $A0, $80
	DB $F5, $F0, $88
	DB $06, $45, $0A, $A0, $19
	DB $FF
	
L1_P2E_P4:
	DB $F5, $F0, $98
	DB $06, $45, $0A, $80, $19
	DB $06, $45, $0A, $98, $80
	DB $F5, $F0, $80
	DB $06, $45, $0A, $98, $19
	DB $FF


L1_P2F: 		;2FB0	spinjump sound
	DW L1_P2F+2
	DB $07, $80, $0A, $C7, $10
	DB $FF


L1_P30: 		;2FB8	resuming spinjump
	DW L1_P30+2
	DB $FE, $00
	DB $07, $80, $0A, $C7, $10
	DB $FB
	DB $FF


L1_P31: 		;2FC3	starting spinjump
	DW L1_P31+2
	DB $07, $30, $0A, $C5, $10
	DB $07, $40, $0A, $C6, $10
	DB $07, $50, $0A, $C7, $10
	DB $FE, $00
	DB $07, $80, $0A, $C7, $10
	DB $FB
	DB $FF
	


L1_P32: 		;2FDD	moar useless stopping spinjump
	DW L1_P32+2	;just use sound 02 again, plz Nintendo
	DB $0A, $00, $0A, $87, $03
	DB $FF


L1_P33: 		;2FE5	screw attack
	DW L1_P33_P1
	DW L1_P33_P2

L1_P33_P1:
	DB $07, $30, $0A, $C7, $04
	DB $07, $40, $0A, $C7, $05
	DB $07, $50, $0A, $C7, $06
	DB $07, $60, $0A, $C7, $07
	DB $07, $70, $0A, $C7, $09
	DB $07, $80, $0A, $C7, $0D
	DB $07, $80, $0A, $C7, $0F
	DB $FE, $00
	DB $07, $80, $0A, $C7, $10
	DB $FB
	DB $FF
L1_P33_P2:
	DB $F5, $E0, $BC
	DB $05, $60, $0A, $98, $0E
	DB $F5, $E0, $BC
	DB $05, $70, $0A, $A4, $08
	DB $F5, $E0, $BC
	DB $05, $80, $0A, $B0, $06
	DB $FE, $00
	DB $05, $80, $0A, $BC, $03
	DB $05, $80, $0A, $C4, $03
	DB $05, $80, $0A, $C6, $03
	DB $FB
	DB $FF



L1_P34: 		;3040	IT'S LIKE AN ALL CONSUMING BLACK HOLE OF WASTED POTENTIAL
	DW L1_P34+2
	DB $0A, $00, $0A, $87, $03
	DB $FF


L1_P35: 		;3048	Samus hurt
	DW L1_P35+2
	DB $13, $60, $0A, $A4, $10
	DB $13, $10, $0A, $A4, $07
	DB $FF


L1_P36: 		;3055	Moving on map
	DW L1_P36+2
	DB $0C, $60, $0A, $B0, $02
	DB $FF



L1_P37: 		;305D	selecting item on HUD click
	DW L1_P37+2
	DB $03, $60, $0A, $9C, $04
	DB $FF



L1_P38: 		;3065	changing menu screens
	DW L1_P38+2
	DB $F5, $90, $C7
	DB $15, $90, $0A, $B0, $15
	DB $FF



L1_P39: 		;3070	like 37, but quieter
	DW L1_P39+2
	DB $03, $40, $0A, $9C, $03
	DB $FF

L1_P3A: 		;3078	clearly not a SOUND mind present
	DW L1_P3A+2
	DB $FF

L1_P3B: 		;307B	world map to area map when loading game
	DW L1_P3B+2
	DB $05, $90, $0A, $9C, $0B
	DB $F5, $F0, $C2
	DB $05, $90, $0A, $9C, $12
	DB $FF

L1_P3C: 		;308B	area map to world map when backing out of loading game
	DW L1_P3C+2
	DB $05, $90, $0A, $9C, $0B
	DB $F5, $F0, $80
	DB $05, $90, $0A, $9C, $12
	DB $FF


L1_P3D: 		;309B	crumble block
	DW L1_P3D+2
	DB $08, $70, $0A, $99, $03
	DB $08, $70, $0A, $9C, $05
	DB $FF


L1_P3E: 		;30A8	space jump
	DW L1_P3E+2
	DB $07, $30, $0A, $C7, $04
	DB $07, $40, $0A, $C7, $05
	DB $07, $50, $0A, $C7, $06
	DB $07, $60, $0A, $C7, $07
	DB $07, $70, $0A, $C7, $09
	DB $07, $80, $0A, $C7, $0D
	DB $07, $80, $0A, $C7, $0F
	DB $FE, $00
	DB $07, $80, $0A, $C7, $10
	DB $FB
	DB $FF


L1_P3F: 		;30D6
	DW L1_P3F+2
	DB $FE, $00
	DB $07, $80, $0A, $C7, $10
	DB $FB
	DB $FF
;they could've saved space and just pointed to the end section of 3E... or 31
;I know I will! :D



L1_P40: 		;30E1	mother brain be firing her lazor
	DW L1_P40_P1
	DW L1_P40_P2
	DW L1_P40_P3

L1_P40_P1:
	DB $FE, $00
	DB $23, $D0, $0A, $89, $07
	DB $23, $D0, $0A, $8B, $07
	DB $23, $D0, $0A, $8C, $07
	DB $23, $D0, $0A, $8E, $07
	DB $23, $D0, $0A, $90, $07
	DB $23, $D0, $0A, $91, $07
	DB $23, $D0, $0A, $93, $07
	DB $23, $D0, $0A, $95, $07
	DB $23, $D0, $0A, $97, $07
	DB $FB
	DB $FF

L1_P40_P2:
	DB $FE, $00
	DB $06, $D0, $0A, $BA, $F0
	DB $FB
	DB $FF

L1_P40_P3:
	DB $FE, $00
	DB $06, $D0, $0A, $B3, $F0
	DB $FB
	DB $FF


L1_P41: 		;312A	resuming a charged beam
	DW L1_P41_P1
	DW S41_Entry_Point

L1_P41_P1:
	DB $F5, $70, $C7
	DB $05, $50, $0A, $C0, $03
	DB $FE, $00
	DB $07, $60, $0A, $C7, $30
	DB $FB
	DB $FF



L1_P42: 		;313F	boss death throes for Kraid fight BGM
	DW L1_P42_P1
	DW L1_P42_P2

L1_P42_P1:
	DB $24, $A0, $0A, $9C, $20
	DB $FF

L1_P42_P2:
	DB $24, $00, $0A, $9D, $05
	DB $24, $80, $0A, $95, $40
	DB $FF